Cypress.on('uncaught:exception', (err, runnable) => {
  // returning false here prevents Cypress from
  // failing the test
  return false
})


describe('example to-do app', () => {
  beforeEach(() => {
    cy.visit('http://localhost:8000/sign-in')
  })

  it('can login and logout', () => {
    cy.get(':nth-child(2) > .form-control').type('admin@school.com')
    cy.get(':nth-child(3) > .form-control').type('admin')

    cy.get('.btn').click()

    cy.wait(1000)

    cy.get('.navbar-nav > :nth-child(4) > .nav-link').click({force: true})

    cy.get('.pe-3 > .btn').click() // click add new teacher

    cy.get('.row > :nth-child(2) > .form-control')
      .clear()
      .type('new teacher first name')

    cy.get('.row > :nth-child(3) > .form-control')
      .clear()
      .type('new teacher last name')

    cy.get('.row > :nth-child(6) > .form-control')
      .clear()
      .type('newteacher@school.com')

    cy.get('.row > :nth-child(7) > .form-control')
      .clear()
      .type('123321')


    cy.get(':nth-child(8) > #floatingTextarea2')
      .clear()
      .type('new teacher contact')


    cy.get(':nth-child(9) > #floatingTextarea2')
      .clear()
      .type('new teacher skill set')

    // click add
    cy.get('form > .btn').click()

    cy.get('#users-table_wrapper').contains('newteacher@school.com')

    cy.contains('newteacher@school.com')
      .parent()
      .find('.btn-danger')
      .click();

    cy.get('.d-sm-inline').click()
  })

})
